petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMGetDMTS

get read-only private DMTS context from a DM

### Synopsis

    #include "petscts.h"
    PetscErrorCode DMGetDMTS(DM dm,DMTS *tsdm)

Not Collective

### Input Argument

dm -DM to be used with TS

### Output Argument

tsdm -private DMTS context

### Notes

Use DMGetDMTSWrite() if write access is needed. The DMTSSetXXX API should be used wherever possible.

### See Also

DMGetDMTSWrite()

Level:developer
Location:src/ts/utils/dmts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages